Description

We should make sure that since Fragment Types should be set-in-stone for the lifetime of an experiment, that in
FragmentType.hh/.cc, the enumeration values are set explicitly as offsets from FirstUserFragmentType and the names vector should
be replaced with an unordered_map<type_t, std::string>.

Associated revisions

Revision 3d9e3ef5 - 08/17/2020 03:49 PM - Eric Flumerfelt
Issue #24810

Explicitly set the artdag_demo Fragment Type IDs to offsets of
FirstUserFragmentType. This allows new Fragment Types to be inserted in
the list without disrupting access to previous data files (i.e. if we

wanted to add TOY3 type fragments, we can now add them after TOY2
instead of before INVALID). Update names to a map between Fragment Type
and std::string.

History

#1 - 08/17/2020 03:51 PM - Eric Flumerfelt
- Assignee set to Eric Flumerfelt

- Status changed from New to Resolved
Implemented in artdag-core-demo:feature/24810_FragmentType_ExplicitlySetTypeCodes.
#2 - 08/17/2020 03:53 PM - Eric Flumerfelt

| have also tested that data files created using the changed version of artdaq_core_demo are compatible with older artdag_core_demo and vice
versa.

#3 - 10/14/2020 04:35 PM - Ron Rechenmacher

- Status changed from Resolved to Reviewed

| ran the demo with and w/o branch code to produce 2 files. Then went back and ran rawEventDump 4 ways.

#4 - 10/23/2020 12:15 PM - Eric Flumerfelt
- Target version set to artdaq_core_demo v1_07_01

- Status changed from Reviewed to Closed
